/*
 * Copyright (C) 2024 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
import { CurrentUserProfileE2EComponent } from '../components/user-profile/current-user-profile.component.e2e';
import { UserSettingsE2EComponent } from '../components/user-settings/user-settings.component.e2e';

//TODO Zu den Componenten packen, nicht zu den page-objects
export class HeaderE2EComponent {
  private readonly locatorLogo: string = 'logo-link';
  private readonly locatorRoot: string = 'header';

  private readonly userSettings: UserSettingsE2EComponent = new UserSettingsE2EComponent();
  private readonly currentUserProfile: CurrentUserProfileE2EComponent = new CurrentUserProfileE2EComponent();

  public getRoot() {
    return cy.getTestElement(this.locatorRoot);
  }

  public getLogo() {
    return cy.getTestElement(this.locatorLogo);
  }

  public getUserSettings(): UserSettingsE2EComponent {
    return this.userSettings;
  }

  public getCurrentUserProfile(): CurrentUserProfileE2EComponent {
    return this.currentUserProfile;
  }
}
