/*
 * Copyright (C) 2023 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
import { AttachmentContainerE2EComponent } from '../attachment/attachment.e2e.component';

export class WiedervorlageE2EComponent {
  private readonly locatorBetreffInput: string = 'Betreff-text-input';
  private readonly locatorBeschreibungInput: string = 'Beschreibung-textarea-input';
  private readonly locatorFristInput: string = 'Frist-date-input';
  private readonly locatorBetreffError: string = 'Betreff-text-error';
  private readonly locatorDatumError: string = 'Frist-date-error';
  private readonly locatorStatusDot: string = 'dot';
  private readonly locatorSpeichernButton: string = 'speichern-button';

  private readonly attachmentContainer: AttachmentContainerE2EComponent = new AttachmentContainerE2EComponent();

  public getBetreff(): Cypress.Chainable<Element> {
    return cy.getTestElement(this.locatorBetreffInput);
  }

  public getBetreffError(): Cypress.Chainable<Element> {
    return cy.getTestElement(this.locatorBetreffError);
  }

  public getBeschreibung(): Cypress.Chainable<Element> {
    return cy.getTestElement(this.locatorBeschreibungInput);
  }

  public getFrist(): Cypress.Chainable<Element> {
    return cy.getTestElement(this.locatorFristInput);
  }

  public getDatumError(): Cypress.Chainable<Element> {
    return cy.getTestElement(this.locatorDatumError);
  }

  public getStatusDot(): Cypress.Chainable<Element> {
    return cy.getTestElementWithClass(this.locatorStatusDot);
  }

  public getSpeichernButton(): Cypress.Chainable<Element> {
    return cy.getTestElement(this.locatorSpeichernButton);
  }

  public getAttachmentContainer(): AttachmentContainerE2EComponent {
    return this.attachmentContainer;
  }
}
