import { VorgangListE2EComponent } from '../../components/vorgang/vorgang-list.e2e.component';
import { waitForSpinnerToDisappear } from '../../page-objects/main.po';
import { E2EVorgangVerifier } from './vorgang.verifier';

export class E2EVorgangNavigator {
  private readonly verifier: E2EVorgangVerifier = new E2EVorgangVerifier();

  private readonly vorgangListPage = new VorgangListE2EComponent();

  public openVorgangDetailByName(vorgangName: string): void {
    this.vorgangListPage.getListItem(vorgangName).getRoot().click();
    waitForSpinnerToDisappear();
    this.verifier.verifyVorgangDetailOpen(vorgangName);
  }
}
