import { VorgangPage } from '../../page-objects/vorgang.po';
import { contains, exist, notExist } from '../../support/cypress.util';

export class E2EVorgangVerifier {
  private readonly vorgangPage: VorgangPage = new VorgangPage();

  public verifyVorgangDetailOpen(vorgangName: string): void {
    exist(this.vorgangPage.getVorgangDetailHeader().getRoot());
    contains(this.vorgangPage.getVorgangDetailHeader().getName(), vorgangName);
  }

  public verifyForwardingButtonExists(): void {
    exist(this.vorgangPage.getFormularButtons().getForwardButton());
  }

  public verifyNoForwardingButtonExists(): void {
    notExist(this.vorgangPage.getFormularButtons().getForwardButton());
  }
}
