import { WiedervorlageInVorgangE2EComponent } from '../../components/wiedervorlage/wiedervorlage-in-vorgang.e2e.component';
import { WiedervorlagenInVorgangE2EComponent } from '../../components/wiedervorlage/wiedervorlagen-in-vorgang.e2e.component';
import { VorgangPage } from '../../page-objects/vorgang.po';
import { WiedervorlagePage } from '../../page-objects/wiedervorlage.po';
import { exist } from '../../support/cypress.util';

export class E2EWiedervorlageNavigator {
  private vorgangPage: VorgangPage = new VorgangPage();
  private wiedervorlagenInVorgang: WiedervorlagenInVorgangE2EComponent = this.vorgangPage.getWiedervorlagenContainer();

  private wiedervorlagePage: WiedervorlagePage = new WiedervorlagePage();

  public openWiedervorlage(betreff: string): void {
    const wiedervorlageInVorgang: WiedervorlageInVorgangE2EComponent = this.wiedervorlagenInVorgang.getWiedervorlage(betreff);
    exist(wiedervorlageInVorgang.getRoot());
    exist(wiedervorlageInVorgang.getLink());
    wiedervorlageInVorgang.getLink().click();
    exist(this.wiedervorlagePage.getHeadline());
  }

  public openNewWiedervorlage(): void {
    exist(this.wiedervorlagenInVorgang.getCreateWiedervorlageButton());
    this.wiedervorlagenInVorgang.getCreateWiedervorlageButton().click();
    exist(this.wiedervorlagePage.getHeadline());
  }
}
