/*
 * Copyright (C) 2023 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
import { WiedervorlageE2EComponent } from '../components/wiedervorlage/wiedervorlage-page.e2e.component';
import { WiedervorlageSubnavigationE2EComponent } from '../components/wiedervorlage/wiedervorlage-subnavigation';

export class WiedervorlagePage {
  private readonly root: string = 'wiedervorlage-page';

  private readonly subnavigation: WiedervorlageSubnavigationE2EComponent = new WiedervorlageSubnavigationE2EComponent();
  private readonly headline: string = 'wiedervorlage-headline';
  private readonly wiedervorlageContainer: WiedervorlageE2EComponent = new WiedervorlageE2EComponent();

  public getRoot(): Cypress.Chainable<Element> {
    return cy.getTestElement(this.root);
  }

  public getSubnavigation(): WiedervorlageSubnavigationE2EComponent {
    return this.subnavigation;
  }

  public getHeadline(): Cypress.Chainable<Element> {
    return cy.getTestElement(this.headline);
  }

  public getWiedervorlageContainer(): WiedervorlageE2EComponent {
    return this.wiedervorlageContainer;
  }
}
