import { AggregationMappingResource } from '@admin-client/reporting-shared';
import { ADMIN_FORMSERVICE, AdminCancelButtonComponent, AdminSaveButtonComponent, ROUTES } from '@admin-client/shared';
import { StateResource } from '@alfa-client/tech-shared';
import { AsyncPipe } from '@angular/common';
import { Component, inject } from '@angular/core';
import { ReactiveFormsModule } from '@angular/forms';
import { SpinnerComponent, TextEditorComponent } from '@ods/component';
import { ButtonComponent, PlusIconComponent } from '@ods/system';
import { Observable } from 'rxjs';
import { AggregationMappingFieldListFormComponent } from './aggregation-mapping-field-list-form/aggregation-mapping-field-list-form.component';
import { AggregationMappingFormService } from './aggregation-mapping-form.service';

@Component({
  selector: 'admin-aggregation-mapping-form',
  templateUrl: './aggregation-mapping-form.component.html',
  standalone: true,
  imports: [
    ButtonComponent,
    PlusIconComponent,
    ReactiveFormsModule,
    AdminSaveButtonComponent,
    AdminCancelButtonComponent,
    AggregationMappingFieldListFormComponent,
    SpinnerComponent,
    AsyncPipe,
    TextEditorComponent,
  ],
  providers: [{ provide: ADMIN_FORMSERVICE, useClass: AggregationMappingFormService }],
})
export class AggregationMappingFormComponent {
  public readonly formService = <AggregationMappingFormService>inject(ADMIN_FORMSERVICE);

  public readonly aggregationMappingStateResource$: Observable<StateResource<AggregationMappingResource>> =
    this.formService.get();

  public readonly AggregationMappingFormService = AggregationMappingFormService;
  public readonly Routes = ROUTES;
}
