import { AggregationMappingResource } from '@admin-client/reporting-shared';
import { ToResourceUriPipe } from '@alfa-client/tech-shared';
import { getElementFromFixtureByType } from '@alfa-client/test-utils';
import { ComponentFixture, TestBed } from '@angular/core/testing';
import { expect } from '@jest/globals';
import { ListItemComponent } from '@ods/system';
import { createAggregationMappingResource } from 'libs/admin/reporting-shared/test/aggregation-mapping';
import { MockComponent } from 'ng-mocks';
import { AggregationMappingListItemComponent } from './aggregation-mapping-list-item.component';

describe('AggregationMappingListItemComponent', () => {
  let component: AggregationMappingListItemComponent;
  let fixture: ComponentFixture<AggregationMappingListItemComponent>;

  const toResourceUriPipe: ToResourceUriPipe = new ToResourceUriPipe();
  const aggregationMappingResource: AggregationMappingResource = createAggregationMappingResource();

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      imports: [AggregationMappingListItemComponent, ToResourceUriPipe, MockComponent(ListItemComponent)],
    }).compileComponents();

    fixture = TestBed.createComponent(AggregationMappingListItemComponent);
    component = fixture.componentInstance;
    component.aggregationMapping = aggregationMappingResource;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });

  describe('template', () => {
    describe('list item', () => {
      it('should have inputs', () => {
        const comp: ListItemComponent = getElementFromFixtureByType(fixture, ListItemComponent);

        expect(comp.path).toEqual(toResourceUriPipe.transform(aggregationMappingResource));
      });
    });
  });
});
