import { AggregationMappingListResource, AggregationMappingResource } from '@admin-client/reporting-shared';
import { createEmptyStateResource, getEmbeddedResources, isLoaded, isNotNil, StateResource } from '@alfa-client/tech-shared';
import { Component, Input } from '@angular/core';
import { SpinnerComponent } from '@ods/component';
import { ListComponent } from '@ods/system';
import { AggregationMappingListLinkRel } from 'libs/admin/reporting-shared/src/lib/aggregation-mapping.linkrel';
import { AggregationMappingListItemComponent } from './aggregation-mapping-list-item/aggregation-mapping-list-item.component';

@Component({
  selector: 'admin-aggregation-mapping-list',
  standalone: true,
  templateUrl: './aggregation-mapping-list.component.html',
  imports: [SpinnerComponent, ListComponent, AggregationMappingListItemComponent],
})
export class AggregationMappingListComponent {
  @Input({ required: true }) set aggregationMappingListStateResource(
    stateResource: StateResource<AggregationMappingListResource>,
  ) {
    this._update(stateResource);
  }

  public listStateResource: StateResource<AggregationMappingListResource> = createEmptyStateResource();
  public aggregationMappings: AggregationMappingResource[] = [];

  _update(stateResource: StateResource<AggregationMappingListResource>): void {
    this.listStateResource = stateResource;
    if (isNotNil(stateResource) && isLoaded(stateResource)) {
      this.aggregationMappings = getEmbeddedResources(stateResource, AggregationMappingListLinkRel.LIST);
    }
  }
}
