import { StateResource } from '@alfa-client/tech-shared';
import { Component, EventEmitter, Input, Output } from '@angular/core';
import { ButtonWithSpinnerComponent } from '@ods/component';
import { ButtonComponent } from '@ods/system';

@Component({
  selector: 'admin-organisations-einheit-delete-dialog',
  standalone: true,
  templateUrl: './organisations-einheit-delete-dialog.component.html',
  imports: [ButtonWithSpinnerComponent, ButtonComponent],
})
export class OrganisationsEinheitDeleteDialogComponent {
  @Input() organisationsEinheitName: string;
  @Input() deleteStateResource: StateResource<void>;

  @Output() cancel: EventEmitter<void> = new EventEmitter<void>();
  @Output() delete: EventEmitter<void> = new EventEmitter<void>();
}
