import { StateResource } from '@alfa-client/tech-shared';
import { inject, Injectable } from '@angular/core';
import { Observable } from 'rxjs';
import { AggregationMappingListResourceService } from './aggregation-mapping-list-resource.service';
import { AggregationMappingResourceService } from './aggregation-mapping-resource.service';
import { AggregationMapping, AggregationMappingListResource, AggregationMappingResource } from './aggregation-mapping.model';

@Injectable({ providedIn: 'root' })
export class AggregationMappingService {
  private readonly listService = inject(AggregationMappingListResourceService);
  private readonly resourceService = inject(AggregationMappingResourceService);

  public getList(): Observable<StateResource<AggregationMappingListResource>> {
    return this.listService.getList();
  }

  public create(toCreate: AggregationMapping): Observable<StateResource<AggregationMappingResource>> {
    return this.listService.create(toCreate);
  }

  public refreshList(): void {
    this.listService.refresh();
  }

  public getByCurrentUrl(): Observable<StateResource<AggregationMappingResource>> {
    return this.resourceService.get();
  }

  public save(aggregationMapping: AggregationMapping): Observable<StateResource<AggregationMappingResource>> {
    return this.resourceService.save(aggregationMapping);
  }
}
