import { ComponentFixture, TestBed } from '@angular/core/testing';

import { getElementFromFixture } from '@alfa-client/test-utils';
import { UserFormHeadlineComponent } from './user-form-headline.component';

describe('UserFormHeadlineComponent', () => {
  let component: UserFormHeadlineComponent;
  let fixture: ComponentFixture<UserFormHeadlineComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      imports: [UserFormHeadlineComponent],
    }).compileComponents();

    fixture = TestBed.createComponent(UserFormHeadlineComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });

  describe('template', () => {
    describe('headline', () => {
      it('should be "Benutzer anlegen"', () => {
        component.isPatch = false;

        fixture.detectChanges();

        const headline: HTMLElement = getElementFromFixture(fixture, 'h1');
        expect(headline.textContent).toContain('Benutzer anlegen');
      });

      it('should be "Benutzer bearbeiten"', () => {
        component.isPatch = true;

        fixture.detectChanges();

        const headline: HTMLElement = getElementFromFixture(fixture, 'h1');
        expect(headline.textContent).toContain('Benutzer bearbeiten');
      });
    });
  });
});
