import { User } from '@admin-client/user-shared';
import { StateResource } from '@alfa-client/tech-shared';
import { AsyncPipe } from '@angular/common';
import { Component, inject } from '@angular/core';
import { ButtonWithSpinnerComponent } from '@ods/component';
import { Observable } from 'rxjs';
import { UserFormService } from '../user.formservice';

@Component({
  selector: 'admin-user-form-save-button',
  standalone: true,
  imports: [AsyncPipe, ButtonWithSpinnerComponent],
  templateUrl: './user-form-save-button.component.html',
})
export class UserFormSaveButtonComponent {
  public readonly formService = inject(UserFormService);

  public submitStateResource$: Observable<StateResource<User>>;

  public submit(): void {
    this.submitStateResource$ = this.formService.submit();
  }
}
