import { User, UserService } from '@admin-client/user-shared';
import { StateResource } from '@alfa-client/tech-shared';
import { AsyncPipe } from '@angular/common';
import { Component, inject, OnDestroy, OnInit } from '@angular/core';
import { Observable } from 'rxjs';
import { UserListComponent } from './user-list/user-list.component';

@Component({
  selector: 'admin-user-list-container',
  standalone: true,
  imports: [UserListComponent, AsyncPipe],
  templateUrl: './user-list-container.component.html',
})
export class UserListContainerComponent implements OnInit, OnDestroy {
  private userService = inject(UserService);

  public usersStateResource$: Observable<StateResource<User[]>>;

  ngOnInit(): void {
    this.usersStateResource$ = this.userService.getAll();
  }

  ngOnDestroy(): void {
    this.userService.refresh();
  }
}
