/*
 * Copyright (C) 2024 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
import { BescheidWizardStep } from '@alfa-client/bescheid-shared';
import { Component, EventEmitter, Input, Output } from '@angular/core';

@Component({
  selector: 'alfa-bescheid-wizard-step',
  templateUrl: './bescheid-wizard-step.component.html',
})
export class BescheidWizardStepComponent {
  @Input() step: BescheidWizardStep;
  @Input() activeStep: BescheidWizardStep;

  @Output() stepChange: EventEmitter<BescheidWizardStep> = new EventEmitter<BescheidWizardStep>();

  public readonly bescheidWizardStep = BescheidWizardStep;

  public clickHandler(step: BescheidWizardStep): void {
    if (this.isPrevious()) {
      this.stepChange.emit(step);
    }
  }

  public isActive(): boolean {
    return this.step === this.activeStep;
  }

  public isPrevious(): boolean {
    return this.step < this.activeStep;
  }

  public isNext(): boolean {
    return this.step > this.activeStep;
  }
}
