/*
 * Copyright (C) 2024 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
import { argsToTemplate, moduleMetadata, type Meta, type StoryObj } from '@storybook/angular';

import { BescheidGenerateIconComponent } from '../icons/bescheid-generate-icon/bescheid-generate-icon.component';
import { ButtonCardComponent } from './button-card.component';

const meta: Meta<ButtonCardComponent> = {
  title: 'Button card',
  component: ButtonCardComponent,
  parameters: {
    docs: {
      description: {
        component: 'A button with two lines of text',
      },
    },
  },
  decorators: [
    moduleMetadata({
      imports: [ButtonCardComponent, BescheidGenerateIconComponent],
    }),
  ],
  excludeStories: /.*Data$/,
  tags: ['autodocs'],
};

export default meta;
type Story = StoryObj<ButtonCardComponent>;

export const Default: Story = {
  args: {
    text: 'Bescheiddokument',
    subText: 'automatisch erstellen',
    isLoading: false,
  },
  argTypes: {
    text: { description: 'First line of text' },
    subText: { description: 'Second line of text' },
  },
  render: (args: ButtonCardComponent) => ({
    props: args,
    template: `<ods-button-card ${argsToTemplate(args)} class="w-72">
        <ods-bescheid-generate-icon icon fileType="auto"></ods-bescheid-generate-icon>
      </ods-button-card>`,
  }),
};
