import { CommandResource } from '@alfa-client/command-shared';
import { StateResource } from '@alfa-client/tech-shared';
import { Component, EventEmitter, Input, Output } from '@angular/core';
import { ButtonWithSpinnerComponent } from '@ods/component';
import { ForwardVorgangIconComponent } from '@ods/system';

@Component({
  selector: 'alfa-forwarding-button',
  standalone: true,
  imports: [ButtonWithSpinnerComponent, ForwardVorgangIconComponent],
  templateUrl: './forwarding-button.component.html',
})
export class ForwardingButtonComponent {
  @Input() disabled: boolean;
  @Input() stateResource: StateResource<CommandResource>;

  @Output() clickEmitter: EventEmitter<void> = new EventEmitter();
}
