import { ComponentFixture, TestBed } from '@angular/core/testing';

import { getMockComponent } from '@alfa-client/test-utils';
import { Anschrift, OrganisationsEinheitResource } from '@alfa-client/zustaendige-stelle-shared';
import { ForwardingItemComponent } from '@ods/system';
import { MockComponent } from 'ng-mocks';
import { createOrganisationsEinheitResource } from '../../../../../../zustaendige-stelle-shared/test/organisations-einheit';
import { ForwardingItemChangeButtonContainerComponent } from './forwarding-item-change-button-container/forwarding-item-change-button-container.component';
import { ForwardingItemInDialogComponent } from './forwarding-item.component';

describe('ForwardingDialogForwardingItemComponent', () => {
  let component: ForwardingItemInDialogComponent;
  let fixture: ComponentFixture<ForwardingItemInDialogComponent>;

  const organisationsEinheitResource: OrganisationsEinheitResource = createOrganisationsEinheitResource();
  const anschrift: Anschrift = organisationsEinheitResource.anschrift;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      imports: [ForwardingItemInDialogComponent],
      declarations: [MockComponent(ForwardingItemChangeButtonContainerComponent), MockComponent(ForwardingItemComponent)],
    }).compileComponents();

    fixture = TestBed.createComponent(ForwardingItemInDialogComponent);
    component = fixture.componentInstance;
    component.organisationsEinheitResource = organisationsEinheitResource;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });

  describe('forwarding item', () => {
    it('should exist with input', () => {
      const forwardingItem: ForwardingItemComponent = getMockComponent(fixture, ForwardingItemComponent);

      expect(forwardingItem.label).toBe(organisationsEinheitResource.name);
      expect(forwardingItem.address).toBe(`${anschrift.strasse} ${anschrift.hausnummer}, ${anschrift.plz} ${anschrift.ort}`);
    });
  });
});
